# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-

# Build aprutil with corresponding apr version always
%define apr_major_version 1

Name: aprutil%apr_major_version
Version: 1.2.12
Release: alt1

Summary: Apache Portable Runtime Utility shared library
Group: System/Libraries
License: Apache
Url: http://apr.apache.org/
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

%define dbm_type db44

# Do not define this variable to build release
#%%define cvsbuild 20031118

%ifdef cvsbuild

%define apu_cvsbuild 20031118111933
%define apu_filever _%apu_cvsbuild
%define apu_dir apr-util
%define cvsbuild_desc This package built from CVS snapshot %cvsbuild

%else

%define apu_filever -%version
%define apu_dir apr-util-%version
%define cvsbuild_desc %nil

%endif #cvsbuild

Source: apr-util%apu_filever.tar
Patch1: apr-util-1.2.12-alt-linkage.patch
Patch2: apr-util-1.2.2-alt-pkgconfig.patch
Patch3: apr-util-1.2.8-alt-installbuilddir.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%def_with ldap
%{?_with_ldap:BuildPreReq: libldap-devel}

BuildPreReq: libapr%apr_major_version-devel = %version

# Automatically added by buildreq on Fri Dec 16 2005
BuildRequires: libdb4.4-devel libexpat-devel libgdbm-devel python-base python-modules-encodings

%package -n lib%name
Summary: Apache Portable Runtime Utility shared library
Group: System/Libraries

%package -n lib%name-devel
Summary: Apache Portable Runtime Utility development files
Group: Development/C
Requires: lib%name = %version-%release, libapr%apr_major_version-devel = %version
Requires: libdb4.4-devel
Conflicts: libaprutil-devel

%package -n lib%name-devel-static
Summary: Apache Portable Runtime Utility static library
Group: Development/C
Requires: lib%name-devel = %version-%release, libapr%apr_major_version-devel-static = %version

%description
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n lib%name
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU shared library.

%description -n lib%name-devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU development files.

%description -n lib%name-devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU static library.

%prep
%setup -q -n %apu_dir
%patch1 -p1
%patch2 -p1
%patch3 -p1
rm -rf xml/expat
rm -rf build/apr_common.m4
rm -rf build/find_apr.m4

%build
export LDFLAGS='-Wl,--as-needed'
LIBTOOL_M4=%_datadir/libtool/aclocal/libtool.m4 \
	./buildconf --with-apr=%_datadir/apr-%apr_major_version
%configure \
	--with-apr=%_prefix \
	--with-installbuilddir=%_datadir/apr-%apr_major_version/build \
	--includedir=%_includedir/apu-%apr_major_version \
	--with-berkeley-db --with-dbm=%dbm_type \
	%{subst_with ldap} \
	%{subst_enable static}

%make_build

%install
export LDFLAGS='-Wl,--as-needed'
%make_install DESTDIR=%buildroot install
find %buildroot%_bindir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apu_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apu_dir,%_datadir/apr-%apr_major_version," --
find %buildroot%_datadir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apu_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apu_dir\(/build\)\?,%_datadir/apr-%apr_major_version/build," --

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib*.so*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/lib*.so
%_libdir/*.exp
%_pkgconfigdir/apr-util-%apr_major_version.pc
%_datadir/apr-%apr_major_version/build/*.m4
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Thu Mar 06 2008 Grigory Batalov <bga@altlinux.ru> 1.2.12-alt1
- New upstream release.
- Linkage patch updated.

* Sun Feb 25 2007 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.8-alt2
- Added dependency: libaprutil1-devel requires libdb4.4-devel

* Thu Feb 01 2007 Aleksey Avdeev <solo@altlinux.ru> 1.2.8-alt1.1
- NMU:
  + delete apr_common.m4 and find_apr.m4, for use system file
  + merge from apr1.spec
  + save build/*.m4 in %%_datadir/apr-%%apr_major_version/build/

* Sun Dec 10 2006 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.8-alt1
- Updated to 1.2.8
- Rebuilt with libdb4.4

* Mon Jun 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.2-alt1.1
- Rebuilt with libldap-2.3.so.0.

* Sun Jan 22 2006 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.2-alt1
- Switched to aprutil1 branch
- Updated alt-linkage patch
- Updated BuildRequires (added python-base python-modules-encodings due
  to usage of buildconf.py script)
- added export LDFLAGS='-Wl,--as-needed' to build and install sections
- added dependency to libdb4.3-devel (was libdb4-devel)
- added patch for apr-util-1.pc

* Thu Nov 03 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt2
- Updated alt-linkage patch (#8394, x86_64 build)

* Mon Oct 17 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt1
- Updated to 0.9.7

* Mon May 30 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.6-alt1
- Updated to 0.9.6

* Thu Feb 10 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.9.5-alt0.4.1
- Rebuilt with libdb4.3.

* Mon Aug 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:0.9.5-alt0.4
- Updated to version from apache 2.0.50 tarball.
- Fixed library linkage.
- Renamed source package.
- Package libaprutil separately.
- Do not build static library by default.

* Thu Feb 12 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.3
- used workaround for build with libexpat without .la files
- updated BuildRequires
- rebuild with libdb4.2

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.2
- removed *.la files

* Wed Nov 19 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.1
- new version: 0.9.5 (from apache 2.0.48 tarball)

* Fri Aug 22 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.4-alt1
- new version: 0.9.4 (from apache 2.0.47 tarball)

* Tue Apr 15 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.3-alt1
- new version: 0.9.3

* Tue Mar 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.2-alt0.1
- first build for ALT Linux
